Subject: I-D Action: draft-pwouters-ipsecme-multi-sa-performance-03.txt

From: [email-masked]
Date: Mon, 21 Mar 2022 09:05:31 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : IKEv2 support for per-queue Child SAs
        Authors         : Antony Antony
                          Tobias Brunner
                          Steffen Klassert
                          Paul Wouters
	Filename        : draft-pwouters-ipsecme-multi-sa-performance-03.txt
	Pages           : 13
	Date            : 2022-03-21

Abstract:
   This document defines three Notify Message Type Payloads for the
   Internet Key Exchange Protocol Version 2 (IKEv2) indicating support
   for the negotiation of multiple identical Child SAs to optimize
   performance.

   The CPU_QUEUES notification indicates support for multiple queues or
   CPUs.  The CPU_QUEUE_INFO notification is used to confirm and
   optionally convey information about the specific queue.  The
   TS_MAX_QUEUE notify conveys that the peer is unwilling to create more
   additional Child SAs for this particular Traffic Selector set.

   Using multiple identical Child SAs has the benefit that each stream
   has its own Sequence Number Counter, ensuring that CPUs don't have to
   synchronize their crypto state or disable their packet replay
   protection.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-pwouters-ipsecme-multi-sa-performance/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-pwouters-ipsecme-multi-sa-performance-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-pwouters-ipsecme-multi-sa-performance-03

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts